/* 
 * rand.c: Linear congruential random number generator.
 *
 */

#include "rand.h"

#define MULT    1103515245
#define ADD     12345
#define MASK    ( 0x7fffffff )
#define TWOTO31 2147483648.0

static  int     A=1;    /* multiplier */
static  int     B=0;    /* summand */
static  int     randx=1;        /* the current random number */
static  int     lastrand;       /* the last random number */

void
ranset(int seed)
{
    A = 1;
    B = 0;
    randx = (A*seed + B) & MASK;
    A = (MULT * A) & MASK;
    B = (MULT * B + ADD) & MASK;
}


float
uniform_rand(void)
/*
        Return a random float in [0, 1.0)
*/
{
        lastrand = randx;
        randx = (A*randx + B)& MASK;
        return((float)lastrand / TWOTO31);
}
