/* 
 * vop.h: 3-d vector macros
 *
 * VV(x, += y); is equivalent to x[0] += y[0]; x[1] += y[1]; x[2] += y[2];
 *
 * Michael S. Warren, Sep. 11, 1995.  mswarren@lanl.gov
 */

#define VV(a, b) do { \
        a[0] b[0]; \
        a[1] b[1]; \
        a[2] b[2]; \
      } while(0)

#define VS(a, b) do { \
        a[0] b; \
        a[1] b; \
        a[2] b; \
      } while(0)

#define Dot(a, b) (a[0]*b[0]+a[1]*b[1]+a[2]*b[2])


